#!/bin/bash

#   create_webspace.sh - create the webspace for new websites
#
#   DISS - Debian Install Server Scripts
#   A set of scripts to automate installation of Servers on Debian
#   (c) 2009 Emmanuel Revah - manu-at-manurevah.com
#
#   This file is part of DISS.
#
#   DISS is free software: you can redistribute it and/or modify
#   it under the terms of the GNU General Public License as published by
#   the Free Software Foundation, either version 3 of the License, or
#   (at your option) any later version.
#
#   DISS is distributed in the hope that it will be useful,
#   but WITHOUT ANY WARRANTY; without even the implied warranty of
#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#   GNU General Public License for more details.
#
#   You should have received a copy of the GNU General Public License
#   along with DISS.  If not, see <http://www.gnu.org/licenses/>.

mkdir -p /home/www/html/${CLIENT}/${DOMAIN}
chown ${CLIENT}:www-data /home/www/html/${CLIENT}/${DOMAIN}
chmod 750 /home/www/html/${CLIENT}/${DOMAIN}

if [ "${ALIAS}" = "--None--" ]; then
        echo "<VirtualHost *:80>
ServerName ${DOMAIN}
DocumentRoot /home/www/html/${CLIENT}/${DOMAIN}
SuexecUserGroup ${CLIENT} ${CLIENT}
<Directory /home/www/html/${CLIENT}/${DOMAIN}>
        Options +ExecCGI
        AllowOverride All
        AddHandler fcgid-script .php
        FCGIWrapper /var/www/php-fcgi-scripts/${CLIENT}/php-fcgi-starter .php
        Order allow,deny
        Allow from all
</Directory>
CustomLog /var/log/apache2/${CLIENT}/${DOMAIN}.log combined
CustomLog /var/log/apache2/global.log combined
</VirtualHost>" > /etc/apache2/sites-available/${CLIENT}_${DOMAIN}

        echo  "LogFile=\"/var/log/apache2/${CLIENT}/${DOMAIN}.log\"
SiteDomain=\"${DOMAIN}\"
AllowAccessFromWebToAuthenticatedUsersOnly=1
AllowAccessFromWebToFollowingAuthenticatedUsers=\"${ADMINUSER} ${CLIENT}\"
DefaultFile=\"index.html\"
ShowFlagLinks=\"en de fr\"
Lang=\"en\"
Include \"include.conf\"" > /etc/awstats/awstats.${DOMAIN}.conf
else
        echo "<VirtualHost *:80>
ServerName ${DOMAIN}
ServerAlias ${ALIAS}
DocumentRoot /home/www/html/${CLIENT}/${DOMAIN}
SuexecUserGroup ${CLIENT} ${CLIENT}
<Directory /home/www/html/${CLIENT}/${DOMAIN}>
        Options +ExecCGI
        AllowOverride All
        AddHandler fcgid-script .php
        FCGIWrapper /var/www/php-fcgi-scripts/${CLIENT}/php-fcgi-starter .php
        Order allow,deny
        Allow from all
</Directory>
CustomLog /var/log/apache2/${CLIENT}/${DOMAIN}.log combined
CustomLog /var/log/apache2/global.log combined
</VirtualHost>" > /etc/apache2/sites-available/${CLIENT}_${DOMAIN}

        echo  "LogFile=\"/var/log/apache2/${CLIENT}/${DOMAIN}.log\"
SiteDomain=\"${DOMAIN}\"
HostAliases=\"${ALIAS}\"
AllowAccessFromWebToAuthenticatedUsersOnly=1
AllowAccessFromWebToFollowingAuthenticatedUsers=\"${ADMINUSER} ${CLIENT}\"
DefaultFile=\"index.html\"
ShowFlagLinks=\"en de fr\"
Lang=\"en\"
Include \"include.conf\"" > /etc/awstats/awstats.${DOMAIN}.conf
fi

a2ensite ${CLIENT}_${DOMAIN}

# add a link to the admin pages and add the awstats-cronbin line
echo "	<li><a href=\"/awstats/awstats.pl?config=${DOMAIN}\">${DOMAIN}</a></li>" >> ${CLIENTNIMDAPATH}/links.html
