#!/bin/bash

#   remove_client.sh - remove client and/or webspace and/or database
#
#   DISS - Debian Install Server Scripts
#   A set of scripts to automate installation of Servers on Debian
#   (c) 2009 Emmanuel Revah - manu-at-manurevah.com
#
#   This file is part of DISS.
#
#   DISS is free software: you can redistribute it and/or modify
#   it under the terms of the GNU General Public License as published by
#   the Free Software Foundation, either version 3 of the License, or
#   (at your option) any later version.
#
#   DISS is distributed in the hope that it will be useful,
#   but WITHOUT ANY WARRANTY; without even the implied warranty of
#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#   GNU General Public License for more details.
#
#   You should have received a copy of the GNU General Public License
#   along with DISS.  If not, see <http://www.gnu.org/licenses/>.

clear
source /etc/diss/diss.conf
source ${SCRIPTS}/functions.sh

# test if install_base has been done, if not show a message
THISSCRIPT=remove_client.sh
DEPENDSTATE=${WEBSTATE}
DEPENDSON="install_lamp"
dependsOn

echo "
#####################

this script is supposed to
remove a client and/or any
websites and databases etc
etc etc.  i hope this doesn't
ruin your life

######################
"

pickAclient
# setting this var could be useful so the functions can be used more easily
# CLIENT=${ACCOUNT[$NO]}

echo -n "
What would you like to remove from ${ACCOUNT[$NO]} ?
1. A Website
2. A Database
3. EVERYTHING!
Q. Quit
 ¿? : "
while read WHATTODO; do
	if [ "${WHATTODO}" = "q" ] || [ "${WHATTODO}" = "Q" ]; then
		exit
	elif [ "${WHATTODO}" = "${WHATTODO}" ] && [ -n "${WHATTODO}" ] && (("${WHATTODO}" > "0")) && (("${WHATTODO}" <= "3")); then
		break
	fi
	echo "Bad input please try again"
	echo -n "¿?: "
done

# Delete A website
if [ "${WHATTODO}" = "1" ]; then
	pickAdomain
	echo -n "Do you want to backup ${CLIENTDOMAIN[NDDNO]} ? (yN) "
	read BKPSITE
	if [[ "${BKPSITE}" =~ ^([yY])$ ]]; then
		backupAsite ${CLIENTDOMAIN[NDDNO]}
	fi
	echo "Are you sure you want to delete \"${CLIENTDOMAIN[NDDNO]}\" ?"
	confirmORdie

	# show what will be done	
	echo "
This is what will be done
----"
	# get rid of the ALIAS value 
	RMDOMAIN=`echo ${CLIENTDOMAIN[NDDNO]}|awk '{print $1}'`
	# rm website
	echo "rm -rf ${CLIENTPATH}/${RMDOMAIN}/"
	# rm awstats config
	echo "rm /etc/awstats/awstats.${RMDOMAIN}.conf"
	# rm awstats cache
	RMAWCACHE="`find /var/cache/awstats/ | grep [awstats][0-9][0-9][0-9][0-9][0-9][0-9].${RMDOMAIN}.txt`"
	if [ -n "${RMAWCACHE}" ]; then echo "rm awcache: ${RMAWCACHE}"; fi
	if [ -a "/var/cache/awstats/dnscachelastupdate.${RMDOMAIN}.txt" ]; then echo "rm /var/cache/awstats/dnscachelastupdate.${RMDOMAIN}.txt"; fi
	# remove apache config
	echo "a2dissite ${CLIENT}_${RMDOMAIN}
/etc/init.d/apache2 reload
rm /etc/apache2/sites-available/${CLIENT}_${RMDOMAIN}"
	# remove ${CLIENTDOMAIN[NDDNO]} from client.conf
	echo "sed -i \"/CLIENTDOMAIN[$NDDNO]=\"${CLIENTDOMAIN[NDDNO]}\"/ d\" /etc/${SOFTNAME}/clients/${CLIENT}.conf"
	
	# confirm AGAIN (we are not kidding anymore :] )
	echo "----

Okay, now are you really ready to delete everything"
	confirmORdie
	
	# RM a bunch of crap - do it !
	rm -rf ${CLIENTPATH}/${RMDOMAIN}
	rm /etc/awstats/awstats.${RMDOMAIN}.conf
	if [ -a "${RMAWCACHE}" ]; then rm ${RMAWCACHE}; fi
	if [ -a "/var/cache/awstats/dnscachelastupdate.${RMDOMAIN}.txt" ]; then rm /var/cache/awstats/dnscachelastupdate.${RMDOMAIN}.txt; fi
	a2dissite ${CLIENT}_${RMDOMAIN}
	/etc/init.d/apache2 reload
	rm /etc/apache2/sites-available/${CLIENT}_${RMDOMAIN}
	sed -i "/CLIENTDOMAIN\[$NDDNO\]=\"${CLIENTDOMAIN[NDDNO]}\"/ d" /etc/${SOFTNAME}/clients/${CLIENT}.conf
	echo "
DONE !"
fi

# Delete a database
if [ "${WHATTODO}" = "2" ]; then
	pickAdb
	# backup ?
	echo -n "Do you want to backup the database before deleting it (y/N) ?"
	read BKPDB
	if [[ "${BKPDB}" =~ ^([yY])$ ]]; then
		backupAdb ${DB[$DBNO]}
	fi
	# another confirmation
	echo "Are you sure you want to delete \"${DB[$DBNO]}\" ?"
	confirmORdie
	# remove db
	mysql -uroot -p$ROOTSQL -s -e "drop database ${DB[$DBNO]};"
	echo "Database ${DB[$DBNO]} (should be) removed."
fi

# Delete ALL !!
if [ "${WHATTODO}" = "3" ]; then
	#
	echo "Function not yet implemented, sorry for the inconvenience"
	read
	exit
	echo "Are you sure you want to delete EVERYTING from \"${ACCOUNT[$NO]}\" ?"
	confirmORdie
	# remove so much crap it's unbelievable
fi

echo "Press enter to go back to main menu"
read
exit
