<?php
	/*
	Postix Managerinterface for handling virtual domains and users
	Based on the installation of Postfix & other components on a Debian Etch server
	after the instructions of
	howto: ISP-style Email Server with Debian-Etch and Postfix 2.3 with MySQL DB
	http://workaround.org/articles/ispmail-etch/
	Author: Dipl.-Inform. Christoph Haas
	--------------------------------------------
	Code written by Peter Gutwein, GRSoft GmbH, peter.gutwein@grsoft.ch, 15.12.2007
	Copyrights: GNU/GPL
	I am happy about your feedback!
	--------------------------------------------
	What this script does is:
	1. MailMaster can delete (recursive), edit (recursive) and create virtual domains in the database
	2. MailMaster can delete, edit and create (with password support) Domain Administrators in the database
	3. DomainMaster can delete, edit and create (with password support) mail user of his own domain in the database
	--------------------------------------------
	// Installation notices
	--------------------------------------------
	1. upload package to your web - directory
	2. unpack package
	3. Start a webrowser and go to install.php
	4. Follow the instructions
	5. Hopefully be happy with it
	--------------------------------------------
	*/
	global $connexion;
	session_start();
	if(!$_SESSION["installation"])
		$_SESSION["installation"] = array();
	if(!$_SESSION["installation"]["status"])
		$_SESSION["installation"]["status"] = 1;
	
	$installstep = "install/step_".$_SESSION["installation"]["status"].".php";
?>
<html>
	<head>
		<META HTTP-EQUIV="PRAGMA" CONTENT="NO-CACHE">
		<title>Mail-Manager Installation 1.6</title>
		<link rel="stylesheet" type="text/css" href="css/frm_styles.css">
	</head>
	<script language="JavaScript">
		function checkDBconnection()
		{
			document.forms.installdlg.aktion.value="testconnection";
			document.forms.installdlg.submit();
		}
		function createdb()
		{
			document.forms.installdlg.aktion.value="createtables";
			document.forms.installdlg.submit();
		}
		function insertMM()
		{
			document.forms.installdlg.aktion.value="createadmins";
			document.forms.installdlg.submit();
		}
		function finishit()
		{
			document.forms.installdlg.aktion.value="finishit";
			document.forms.installdlg.submit();
		}
	</script>
	<body bgColor='#ffffff' bottomMargin=0 leftMargin='0' topMargin='0' rightMargin='0' marginwidth='0' marginheight='0'>
		<table cellspacing="0" cellpadding="0" border="0" align="center" width="100%">
			<tr>
				<td valign="top" align="center">
					<img src="img/grslogo.gif"><br><span class="f10blue">Version 1.5</span>
				</td>
			</tr>
			<tr>
				<td valign="top">
					<table cellspacing="5" cellpadding="5" border="0" width="100%">
						<tr align="center">
							<td valign="top" align="center" bgcolor="#bbbbbb">
								<span class="f13blue"><strong>Mail Manager Installation</strong></span>
							</td>
						</tr>
						<tr align="center">
							<td valign="top" align="center">
								<span class="f12blue">
									This setup routine will install the Mail Manager interface in english and german language on your server.<br>
									Based on the installation of Postfix & other components on a Debian Etch server
									after the instructions of <br>howto: ISP-style Email Server with Debian-Etch and Postfix 2.3 with MySQL DB
									<a class="blue" href="http://workaround.org/articles/ispmail-etch/" target="_blank">http://workaround.org/articles/ispmail-etch/</a><br>
									Author: Dipl.-Inform. Christoph Haas<br>Structure, table- and coloumnnames are same as in the howto of Christoph Haas.<br>
									<br>During the setup 3 additional database tables have to be created. Therefore you have to give a DB-user with option to create tables. This could be changed after installation in the file conf/cnf_main.php manually. After installation please check the rights for the files by yourself.<br><br>
									This software is under GNU/GPL license and comes without any warranty.<br>
									Feel free to change or customize anything.<br>Anyway if you find it usefull the <a class="blue" href="mailto:peter.gutwein@grs-service.ch">author Peter Gutwein</a> will be happy about your feedback.<br>
									Good luck and have fun.
									<br><br>
									If you dont like automatic installation or encounter problems with it, use the <a href="http://www.grs-service.ch/pub/grs_mminstallation.html" target="_blank" class="blue"><strong>manual installation</strong></a>.
								</span>
							</td>
						</tr>
					</table>
				</td>
			</tr>
			<tr>
				<td valign="top">
					<?php include($installstep)?>
				</td>
			</tr>
		</table>
	</body>
</html>
<?php
	if($grs_debugmode == 1)
		include("./inc/grs_debuginfo.php");
?>